package com.persagy.apm.energy.report.monthly.detail.business.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:08:35
 */
@Data
@ApiModel(value = "获取报告详情详情入参")
public class GetReportBusinessDetailDTO {
    @NotNull(message = "主键不能为空")
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @NotNull(message = "报告类型id不能为空")
    @ApiModelProperty(value = "报告类型id", required = true)
    private String reportTypeId;
}
