package com.persagy.apm.energy.report.monthly.detail.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/5/17 3:15 下午
 **/
@Data
@ApiModel(value = "费用")
public class CostVO {
    @ApiModelProperty(value = "分组信息")
    private List<GroupInfo<CostItemVO>> groups;
    @ApiModelProperty(value = "条目信息")
    private List<CostItemVO> items;
    @ApiModelProperty(value = "统计信息")
    private CostItemVO summary;
}
